[SCM] mplayer-blue/master: Update the maintainer scripts to use set -e directly.
micove-guest at users.alioth.debian.org
micove-guest at users.alioth.debian.org
Tue Jul 14 19:02:23 UTC 2015
The following commit has been merged in the master branch:
commit 9b87a98fcc195d85ae74eec4b086ffa8e6185f11
Author: Miguel A. Colón Vélez <debian.micove at gmail.com>
Date: Tue Jul 14 13:25:30 2015 -0400
Update the maintainer scripts to use set -e directly.
Also update blue to Blue, split the long line and remove the exit 0.
diff --git a/debian/postinst b/debian/postinst
index c279708..48a2388 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,9 +1,10 @@
-#! /bin/sh -e
+#!/bin/sh
+
+set -e
if [ "$1" = "configure" ] || [ "$1" = "abort-upgrade" ]; then
- update-alternatives --install //usr/share/mplayer/skins/default mplayer-skin /usr/share/mplayer/skins/blue 40
+ update-alternatives --install /usr/share/mplayer/skins/default \
+ mplayer-skin /usr/share/mplayer/skins/Blue 40
fi
#DEBHELPER#
-
-exit 0
diff --git a/debian/prerm b/debian/prerm
index ce99bc8..6d84c24 100644
--- a/debian/prerm
+++ b/debian/prerm
@@ -1,9 +1,9 @@
-#! /bin/sh -e
+#!/bin/sh
+
+set -e
if [ "$1" != "upgrade" ]; then
- update-alternatives --remove mplayer-skin /usr/share/mplayer/skins/blue
+ update-alternatives --remove mplayer-skin /usr/share/mplayer/skins/Blue
fi
#DEBHELPER#
-
-exit 0
--
mplayer-blue packaging
More information about the pkg-multimedia-commits
mailing list